#!/bin/sh

infiles=`argparse $* <<EOF
long:infile;short:if;type:arglist
EOF`

help=`argparse $* <<EOF
long:help;short:h;type:flag
EOF`

if test -z "$infiles"; then
 echo no infiles
else
 echo "the infiles: $infiles"
fi

if test -z $help; then
 echo no help needed
else
 echo "Usage: $0 [-h|--help] [-if|--infile] file1 file2 file3 ..."
fi
